Bug 160689 - Test 2d.gradient.interpolate.colouralpha.html is broken on macOS Sierra
Summary: Test 2d.gradient.interpolate.colouralpha.html is broken on macOS Sierra
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Antoine Quint
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2016-08-09 06:23 PDT by Antoine Quint
Modified: 2016-08-12 01:59 PDT (History)
5 users (show)

See Also:


Attachments
Patch (2.19 KB, patch)
2016-08-09 06:31 PDT, Antoine Quint
no flags Details | Formatted Diff | Diff
Patch (4.26 KB, patch)
2016-08-10 14:43 PDT, Antoine Quint
no flags Details | Formatted Diff | Diff
Patch for landing (4.26 KB, patch)
2016-08-11 02:53 PDT, Antoine Quint
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antoine Quint 2016-08-09 06:23:52 PDT
The test at canvas/philip/tests/2d.gradient.interpolate.colouralpha.html fails on macOS Sierra.
Comment 1 Antoine Quint 2016-08-09 06:24:05 PDT
<rdar://problem/24025664>
Comment 2 Antoine Quint 2016-08-09 06:31:00 PDT
Created attachment 285636 [details]
Patch
Comment 3 Alexey Proskuryakov 2016-08-09 09:34:43 PDT
Comment on attachment 285636 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=285636&action=review

> LayoutTests/ChangeLog:3
> +        Test 2d.gradient.interpolate.colouralpha.html is broken on macOS Sierra

There is another instance of this test in LayoutTests/imported/w3c/canvas/2d.gradient.interpolate.colouralpha.html.

Does that one also need the same fix? If it does, we presumably need to upstream the fix.
Comment 4 Antoine Quint 2016-08-10 14:43:24 PDT
Created attachment 285763 [details]
Patch
Comment 5 Dean Jackson 2016-08-11 02:51:20 PDT
Comment on attachment 285763 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=285763&action=review

> LayoutTests/ChangeLog:12
> +        When the test samples 25th pixel it expect the value to be exactly 25% interpolation of the color values.
> +        However, the sampling location is the center of the pixel, i.e. it should correspond to 25.5% interpolation,
> +        which would expect the color of (189.975, 189.75, 65.25, 65.25). The new values are a rounded values of
> +        interpolation âby handâ at steps of 25.5%, 50.5% and 75.5%.

Can you describe what actually changed here then? And if this is only Sierra, won't this change cause failures on El Cap and Yosemite?

> LayoutTests/ChangeLog:14
> +        * canvas/philip/tests/2d.gradient.interpolate.colouralpha.html:

I wonder if we can remove all these tests if they are duplicated in imported/w3c/canvas
Comment 6 Antoine Quint 2016-08-11 02:53:27 PDT
Created attachment 285824 [details]
Patch for landing
Comment 7 WebKit Commit Bot 2016-08-11 03:23:35 PDT
Comment on attachment 285824 [details]
Patch for landing

Clearing flags on attachment: 285824

Committed r204371: <http://trac.webkit.org/changeset/204371>
Comment 8 WebKit Commit Bot 2016-08-11 03:23:40 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Antoine Quint 2016-08-12 01:59:48 PDT
Upstreaming the fix to the W3C web-platform-tests repository, see https://github.com/w3c/web-platform-tests/pull/3458.